//
// Created by spenc on 5/14/2025.
//

#include "Editor.h"
#include "Layer.h"
#include "Core.h"

int main()
{

    constexpr const char* VERSION = "0.1.0"; // Format: 0.<release><commit_count>


    OX::Core core(std::string(OX_ENGINE_VERSION) + " (" + VERSION + ")");

    core.AddLayer(std::make_unique<OX::DummyLayer>("Dummy Layer"));

    core.AddLayer(std::make_unique<OX::Editor>("Obsidian Editor"));

    core.Init();
    core.Run();
    core.Shutdown();
}
